## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without tests

%global srcname progressbar2

%global desc %{expand: \
A text progress bar is typically used to display the progress of a long running
operation, providing a visual cue that processing is underway.

The ProgressBar class manages the current progress, and the format of the line
is given by a number of widgets.

The progressbar module is very easy to use, yet very powerful. It will also
automatically enable features like auto-resizing when the system supports it.}

Name:           python-%{srcname}
Version:        4.5.0
Release:        %autorelease
Summary:        Library to provide visual progress to long running operations

# SPDX
License:        BSD-3-Clause
URL:            https://github.com/WoLpH/python-progressbar
Source0:        %pypi_source

BuildArch:      noarch
BuildRequires:  python3-devel

%description
%{desc}

%package -n python3-%{srcname}
Summary:        %{summary}
Requires:       %{py3_dist python-utils}
Requires:       %{py3_dist six}
BuildRequires:  %{py3_dist python-utils}
BuildRequires:  %{py3_dist six}
BuildRequires:  %{py3_dist setuptools}
BuildRequires:  %{py3_dist sphinx}
BuildRequires:  %{py3_dist pytest}
%if %{with tests}
BuildRequires:  %{py3_dist freezegun} >= 0.3.10
%endif

# obsolete python-progressbar
Obsoletes:      python3-progressbar < 2.3-14
Provides:       python3-progressbar == %{version}

%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
%{desc}


%prep
%autosetup -n %{srcname}-%{version} -p1
rm -rfv %{srcname}.egg-info

find . -name '*.pyc' -print -delete
find . -name '*.swp' -print -delete
rm -rfv tests/__pycache__/

# do not run coverage in pytest
sed -i -E '/--(no-)?cov/d' pytest.ini

# remove linters etc from requirements
sed -i \
    -e '/flake8/ d' \
    -e '/pytest-cov/ d' \
    -e '/pytest-mypy/ d' \
    -e '/sphinx/ d' \
    -e '/pywin32/ d' \
    pyproject.toml

cat pyproject.toml

# required for tests, but not included in deps, and apparently no way to
# include stuff from "project.optional-dependencies" using
# pyproject_buildrequires..
cat > requirements.txt << EOF
dill
EOF
cat requirements.txt

%generate_buildrequires
%pyproject_buildrequires requirements.txt

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l progressbar

%check
%if %{with tests}
PYTHONPATH=. %pytest tests
%endif

%files -n python3-%{srcname} -f %{pyproject_files}
%{_bindir}/progressbar

%changelog
## START: Generated by rpmautospec
* Sun Feb 23 2025 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 4.5.0-1
- feat: update to 4.5.0 (fixes rh#2004301)

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 3.53.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Sep 04 2024 Miroslav Suchý <msuchy@redhat.com> - 3.53.2-14
- convert license to SPDX

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.53.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 3.53.2-12
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.53.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.53.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.53.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 14 2023 Python Maint <python-maint@redhat.com> - 3.53.2-8
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.53.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.53.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 3.53.2-5
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.53.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Dec 31 2021 Miro Hrončok <miro@hroncok.cz> - 3.53.2-3
- Do not run coverage in pytest

* Mon Sep 13 2021 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.53.2-2
- Add patch to silence warning about distutils import

* Mon Sep 13 2021 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.53.2-1
- Version 3.53.2 (#1873701)

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.52.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 3.52.1-3
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.52.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Sep 01 2020 Petr Viktorin <pviktori@redhat.com> - 3.52.1-1
- Update to 3.52.1
  Resolves: https://bugzilla.redhat.com/show_bug.cgi?id=1873701
  The only behavior change is that ProgressBar gets a `start_time`
  keyword argument, which can override the starting time (e.g. for
  ETA calculations).

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.51.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat Jun 27 2020 Petr Viktorin <pviktori@redhat.com> - 3.51.4-1
- Update to 3.51.4
- Run pytest directly

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 3.47.0-2
- Rebuilt for Python 3.9

* Wed Feb 12 2020 Petr Viktorin <pviktori@redhat.com> - 3.47.0-1
- Update to latest upstream version
  https://github.com/WoLpH/python-progressbar/compare/v3.39.3...vv3.47.0
  Highlights:
  - Rate limiting
  - Added proper support for non-terminal output
  - Add MultiProgressBar

* Wed Feb 12 2020 Petr Viktorin <pviktori@redhat.com> - 3.39.3-7
- Remove linting BuildRequires
  https://bugzilla.redhat.com/show_bug.cgi?id=1795451
- Fix egg-info glob to work for Python 3.10+

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.39.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 3.39.3-5
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 3.39.3-4
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.39.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun May 12 2019 Orion Poplawski <orion@nwra.com> - 3.39.3-2
- Drop unneeded BR on pytest-cache

* Wed Apr 10 2019 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 3.39.3-1
- Update to 3.39.3

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.39.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Dec 19 2018 Petr Viktorin <pviktori@redhat.com> - 3.39.2-2
- Provide python3-progressbar

* Wed Dec 19 2018 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 3.39.2-1
- Update to latest upstream commit
- Should fix failing tests

* Thu Dec 13 2018 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 3.38.0-1
- Check tests and file issue upstream
- Initial build
- Drop py2 subpackage
- Obsolete python-progressbar

## END: Generated by rpmautospec
